
QGIS Application - Bug report #18261

QGIS crashed when clicked on "Plugins" "Manage & Install Plugins"

2018-02-28 10:30 AM - Sameer Abdool

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: 2012 R2 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26152

Description

User Feedback

Clicked on "Plugins" "Loaded/Installed Plugins"

Report Details

Crash ID: 584668a2bc0a803b9f33d1f03034437a538d2dd2

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsMapToolCircle3Points::qt_static_metacall :

QgsMapToolCircle3Points::qt_static_metacall :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

NotifyWinEvent :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.3.9600

History

#1 - 2018-02-28 10:32 AM - Sameer Abdool

I meant to write "Manage & Install Plugins" from the menu bar.

#2 - 2018-02-28 10:43 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from QGIS crashed when clicked on "Plugins" "Loaded/Installed Plugins" to QGIS crashed when clicked on "Plugins" "Manage & 

Install Plugins"

#3 - 2018-02-28 11:14 AM - Borys Jurgiel

Is your QGIS installed with the normal standalone installer, or OSGeo4W?

#4 - 2018-02-28 11:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2018-02-28 01:14 PM - Sameer Abdool

Hi,

When I tried to use the normal installer it failed twice:

1) GDAL202.dll or something similar but GDAL DLL related

2) 2nd time installed it on a server and C++ redistributable package failed.
Then I used OS4Geo4W and the install worked.

Loaded some topographical layers from PostGIS, all good.

I then tried to install some plugins and QGIS crashed.

#6 - 2018-02-28 01:18 PM - Sameer Abdool

I've just tried GQIS 3.1.0 dev version with GRASS 7.4.0 (nightly) 

That works.

QGIS version

3.1.0-Master

QGIS code revision

6bb8a9b610

Compiled against Qt

5.9.2

Running against Qt

5.9.2

Compiled against GDAL/OGR

2.2.3

Running against GDAL/OGR

2.2.3

Compiled against GEOS

3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version

6.1.3

QScintilla2 Version

2.10.1

PROJ.4 Version

493

#7 - 2018-03-01 10:15 AM - Sebastien Seb

Seems to be a duplicate of #18220

#8 - 2018-03-01 10:53 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

#9 - 2018-03-01 11:17 AM - Borys Jurgiel

Strange...

So it's a fresh install of the OSGeo4W installer? No risk of obsolete stuff in C:\OsGeo4W?
#10 - 2018-03-01 11:23 AM - Borys Jurgiel

- Status changed from Closed to Reopened

Giovanni, I'm reopening it and will handle this duplication. It's just odd to communicate with the reporter in a closed ticket ;D and all clues we have here are

the reporters' investigations.

#11 - 2018-03-01 11:46 AM - Sameer Abdool

Just re-downloaded the stand-alone installer for QGIS 3.0.0 x64.

Installed in on my Windows 10 machine and it's now working.

The install filename is QGIS-OSGeo4W-3.0.0-3-Setup-x86_64. What does the "-3" after "3.0.0" means?

Is this a new install package version?

I've used the same setup file on my server and QGIS is still crashing when trying to load plugins.

I'm not using OSGeo4W network installer at all.

#12 - 2018-03-01 11:48 AM - Giovanni Manghi

- Resolution deleted (duplicate)

Borys Jurgiel wrote:

Giovanni, I'm reopening it and will handle this duplication. It's just odd to communicate with the reporter in a closed ticket ;D and all clues we have

here are the reporters' investigations.

ok!

#13 - 2018-03-01 12:15 PM - Borys Jurgiel

Sameer Abdool wrote:

Just re-downloaded the stand-alone installer for QGIS 3.0.0 x64.

Installed in on my Windows 10 machine and it's now working.

The install filename is QGIS-OSGeo4W-3.0.0-3-Setup-x86_64. What does the "-3" after "3.0.0" means?

Is this a new install package version?

Yes, it's the third build, so some critical or build-related fixes were applied. AFAICR the postinstall script was fixed, what might solve some problems.

I've used the same setup file on my server and QGIS is still crashing when trying to load plugins.

There is either something in the registry or in the Python paths...

I'm not using OSGeo4W network installer at all.

Ah, so the standalone crashes as well. I misunderstood your note # 5 above.
#14 - 2018-03-01 12:26 PM - Sameer Abdool

- Status changed from Reopened to Closed

Resolution:

QGIS 3.0.0 was running from QGIS 2.8 folder for some reason when I updated QGIS using newtwork installer.

I believe that was the problem.

I uninstalled all instances of QGIS and ensured OSGeo4W remnants were discarded except for the one in the C drive.

Re-installed QGIS 3.0.0 using the same stand-alone installer I've downloaded this morning and I can now access the plugins.

Suggestions:

A setup.log file to be produced during install unless already present which I'm not aware of.

Release date for updated installers on QGIS website would be useful.

PS: I would need to investigate the network installer in more details if QGIS was used/updated in a Corporate level combined with batch script(s).

I guess you can put this down to user error and apologies for the inconvenience caused.

Many Thanks,

Sameer

#15 - 2018-03-04 02:17 PM - Borys Jurgiel

Great thanks for all your investigations! Please don't even call it inconvenience ;)
